클라이언트 버전 및 지원 정책

Snowflake는 Snowflake에 연결하여 특정 Snowflake 기능(예: 데이터 로드에 사용되는 Apache Kafka, 외부 테이블에 사용되는 Apache Hive 메타데이터)을 사용할 수 있는 기타 클라이언트 소프트웨어(드라이버, 커넥터 등)는 물론 CLI(명령줄 인터페이스)도 제공합니다. 연결하려는 로컬 워크스테이션이나 시스템마다 클라이언트가 설치되어 있어야 합니다.

필요에 따라 버그 수정을 위해 새 버전의 클라이언트가 출시되고, 향상된 기능과 새로운 기능이 도입됩니다. 새 버전은 기존의 Snowflake 기능이 포함된 이전 버전과 호환되지만, 이전 버전이 이후 버전과 호환되지 않을 수 있습니다. 따라서 현재 설치되어 있는 클라이언트 버전을 적극적으로 모니터링하고 유지하는 것이 좋습니다. 해당 클라이언트 버전이 최신 버전의 Snowflake와 동기화되어 있지 않으면 Snowflake에 연결하여 사용할 때 문제가 발생할 수 있습니다.

이 항목의 내용:

최소 클라이언트 버전

클라이언트 최소 버전을 통해 지원되는 가장 초기 버전의 클라이언트를 알 수 있습니다. 여기에 기재된 최소 버전 미만의 클라이언트에는 Snowflake 지원 정책이 더 이상 적용되지 않으며(아래 참조) Snowflake에 연결할 때 문제가 발생할 수 있습니다.

주의

이 항목에 있는 클라이언트 지원 정책에 기술된 바와 같이, 최신 클라이언트 버전에서만 문제가 해결되었습니다. 따라서 최신 버전에서는 해결된 문제가 최소 버전에서는 해결되지 않은 상태일 수 있기 때문에 최소 버전을 설치하지 않아야 합니다.

위 표에 나와 있는 최소 버전은 Snowflake 지원 정책과 관련하여 설치된 클라이언트를 관리하기 위한 지침용으로만 제공됩니다.

클라이언트 지원 정책

Snowflake가 제공하는 모든 클라이언트에 대해 다음과 같은 Snowflake 지원 정책이 적용됩니다.

  • Snowflake는 보안 또는 성능 문제를 해결하기 위해 최신 버전에 중요한 수정 사항이 도입된 경우를 제외하고 각 클라이언트 버전을 최소 2년 동안 공식적으로 지원합니다.

    지원되는 최소 버전 미만의 클라이언트 버전은 Snowflake와의 연결이 차단될 수 있습니다. Snowflake는 특정 클라이언트 버전의 액세스를 차단하기 전에 이를 미리 알려 드립니다.

  • 지원되지 않는 버전은 배포가 중단될 수 있습니다. 즉, 더 이상 다운로드/설치하지 못할 수 있습니다.

  • 버그 수정 사항, 새 기능, 필수 보안 업데이트는 최신 클라이언트 버전에만 제공됩니다. 이와 마찬가지로, Snowflake는 최신 버전에 대해서만 클라이언트 문제를 식별하여 해결합니다.

  • Snowflake는 지원되는 모든 클라이언트 버전에서 APIs에 대해 이전 버전과의 호환성을 보장합니다.

  • 필수 보안 업데이트 등과 같은 중요한 클라이언트 변경 사항의 경우, 최신 버전이나 적어도 최소 버전 이상의 버전으로 업그레이드해야 할 수 있습니다(이 항목에 있는 표 참조).

참고

이 정책은 서드 파티 파트너가(예: Informatica, Tableau) 제공하는 클라이언트 커넥터에는 적용되지 않습니다. 이러한 클라이언트 커넥터에 적용되는 지원 정책에 대해서는 해당 커넥터를 제공하는 파트너에 직접 문의하시기 바랍니다.

Snowflake의 서드 파티 파트너에 대한 자세한 내용은 Snowflake 에코시스템 을 참조하십시오.

운영 체제 지원

대부분의 Snowflake 최신 버전 클라이언트는 다음과 같은 운영 체제에서 지원됩니다.

운영 체제

지원되는 버전

Linux

CentOS 7, 8

Red Hat Enterprise Linux(RHEL) 7, 8

Ubuntu 16.04, 18.04

macOS

10.14 이상

Microsoft Windows

Microsoft Windows 8 이상

Microsoft Windows Server 2012, 2016, 2019

참고

지원되는 버전 번호는 운영 체제 공급업체의 지원 정책이 변함에 따라 시간이 지날수록 바뀝니다.

다음 표는 어떤 운영 체제에서 어떤 클라이언트가 지원되는지 보여 줍니다.

Linux

macOS

Microsoft Windows

Go Snowflake 드라이버

.NET 드라이버

Node.js 드라이버

JDBC 드라이버

ODBC 드라이버

PHP PDO 드라이버

Kafka용 Snowflake 커넥터

Python용 Snowflake 커넥터

Spark용 Snowflake 커넥터

운영 체제 지원 정책

Snowflake는 일반적으로 운영 체제 공급업체가 발표하는 지원 타임라인에 따라 운영 체제 버전을 지원하지는 않습니다.

Snowflake는 일반적으로 특정 운영 체제 버전의 지원을 중단하기 3개월 전에 이를 통지합니다.

맨 위로 이동